## pipewire 0.3.72

=== meson_options.txt ===
option('docdir',
       type : 'string',
       description : 'Directory for installing documentation to (defaults to pipewire_datadir/doc/meson.project_name() )')
option('docs',
       description: 'Build documentation',
       type: 'feature',
       value: 'disabled')
option('examples',
       description: 'Build examples',
       type: 'feature',
       value: 'enabled')
option('man',
       description: 'Build manpages',
       type: 'feature',
       value: 'auto')
option('tests',
       description: 'Build tests',
       type: 'feature',
       value: 'enabled',
       yield : true)
option('installed_tests',
       description: 'Install manual and automated test executables',
       type: 'feature',
       value: 'disabled')
option('gstreamer',
       description: 'Build GStreamer plugins',
       type: 'feature',
       value: 'auto')
option('gstreamer-device-provider',
       description: 'Build GStreamer device provider plugin',
       type: 'feature',
       value: 'auto')
option('systemd',
       description: 'Enable systemd integration',
       type: 'feature',
       value: 'auto')
option('systemd-system-service',
       description: 'Install systemd system service file',
       type: 'feature',
       value: 'disabled')
option('systemd-user-service',
       description: 'Install systemd user service file (ignored without systemd)',
       type: 'feature',
       value: 'enabled')
option('pipewire-alsa',
       description: 'Enable pipewire-alsa integration',
       type: 'feature',
       value: 'auto')
option('pipewire-jack',
       description: 'Enable pipewire-jack integration',
       type: 'feature',
       value: 'enabled')
option('pipewire-v4l2',
       description: 'Enable pipewire-v4l2 integration',
       type: 'feature',
       value: 'enabled')
option('jack-devel',
       description: 'Install jack development files',
       type: 'boolean',
       value: 'false')
option('libjack-path',
       description: 'Where to install the libjack.so library',
       type: 'string')
option('libv4l2-path',
       description: 'Where to install the libpw-v4l2.so library',
       type: 'string')
option('spa-plugins',
       description: 'Enable spa plugins integration',
       type: 'feature',
       value: 'enabled')
option('alsa',
       description: 'Enable alsa spa plugin integration',
       type: 'feature',
       value: 'auto')
option('audiomixer',
       description: 'Enable audiomixer spa plugin integration',
       type: 'feature',
       value: 'enabled')
option('audioconvert',
       description: 'Enable audioconvert spa plugin integration',
       type: 'feature',
       value: 'enabled')
option('bluez5',
       description: 'Enable bluez5 spa plugin integration',
       type: 'feature',
       value: 'auto')
option('bluez5-backend-hsp-native',
       description: 'Enable HSP in native backend in bluez5 spa plugin',
       type: 'feature',
       value: 'enabled')
option('bluez5-backend-hfp-native',
       description: 'Enable HFP in native backend in bluez5 spa plugin',
       type: 'feature',
       value: 'enabled')
option('bluez5-backend-native-mm',
       description: 'Enable ModemManager in native backend in bluez5 spa plugin',
       type: 'feature',
       value: 'disabled')
option('bluez5-backend-ofono',
       description: 'Enable oFono HFP backend in bluez5 spa plugin (no dependency on oFono)',
       type: 'feature',
       value: 'enabled')
option('bluez5-backend-hsphfpd',
       description: 'Enable hsphfpd backend in bluez5 spa plugin (no dependency on hsphfpd)',
       type: 'feature',
       value: 'enabled')
option('bluez5-codec-aptx',
        description: 'Enable AptX Qualcomm open source codec implementation',
        type: 'feature',
        value: 'auto')
option('bluez5-codec-ldac',
        description: 'Enable LDAC Sony open source codec implementation',
        type: 'feature',
        value: 'auto')
option('bluez5-codec-aac',
        description: 'Enable Fraunhofer FDK AAC open source codec implementation',
        type: 'feature',
        value: 'auto')
option('bluez5-codec-lc3plus',
        description: 'Enable LC3plus open source codec implementation',
        type: 'feature',
        value: 'auto')
option('bluez5-codec-opus',
        description: 'Enable Opus open source codec implementation',
        type: 'feature',
        value: 'auto')
option('bluez5-codec-lc3',
        description: 'Enable LC3 open source codec implementation',
        type: 'feature',
        value: 'disabled')
option('control',
       description: 'Enable control spa plugin integration',
       type: 'feature',
       value: 'enabled')
option('audiotestsrc',
       description: 'Enable audiotestsrc spa plugin integration',
       type: 'feature',
       value: 'enabled')
option('ffmpeg',
       description: 'Enable ffmpeg spa plugin integration',
       type: 'feature',
       value: 'disabled')
option('jack',
       description: 'Enable jack spa plugin integration',
       type: 'feature',
       value: 'auto')
option('support',
       description: 'Enable support spa plugin integration',
       type: 'feature',
       value: 'enabled')
option('evl',
       description: 'Enable EVL support spa plugin integration',
       type: 'feature',
       value: 'disabled')
option('test',
       description: 'Enable test spa plugin integration',
       type: 'feature',
       value: 'disabled')
option('v4l2',
       description: 'Enable v4l2 spa plugin integration',
       type: 'feature',
       value: 'auto')
option('dbus',
       description: 'Enable code that depends on dbus',
       type: 'feature',
       value: 'enabled')
option('libcamera',
       description: 'Enable libcamera spa plugin integration',
       type: 'feature',
       value: 'auto')
option('videoconvert',
       description: 'Enable videoconvert spa plugin integration',
       type: 'feature',
       value: 'enabled')
option('videotestsrc',
       description: 'Enable videotestsrc spa plugin integration',
       type: 'feature',
       value: 'enabled')
option('volume',
       description: 'Build the legacy volume spa plugin',
       type: 'feature',
       value: 'disabled')
option('vulkan',
       description: 'Enable vulkan spa plugin integration',
       type: 'feature',
       value: 'disabled')
option('pw-cat',
       description: 'Build pw-cat/pw-play/pw-record',
       type: 'feature',
       value: 'auto')
option('pw-cat-ffmpeg',
       description: 'Enable FFmpeg integration in pw-cat/pw-play/pw-record',
       type: 'feature',
       value: 'disabled')
option('udev',
       description: 'Enable Udev integration',
       type: 'feature',
       value: 'auto')
option('udevrulesdir',
       type : 'string',
       description : 'Directory for udev rules (defaults to /lib/udev/rules.d)')
option('systemd-system-unit-dir',
       type : 'string',
       description : 'Directory for system systemd units (defaults to /usr/lib/systemd/system)')
option('systemd-user-unit-dir',
       type : 'string',
       description : 'Directory for user systemd units (defaults to /usr/lib/systemd/user)')
option('sdl2',
       description: 'Enable code that depends on SDL 2',
       type: 'feature',
       value: 'auto')
option('sndfile',
       description: 'Enable code that depends on libsndfile',
       type: 'feature',
       value: 'auto')
option('libmysofa',
       description: 'Enable code that depends on libmysofa',
       type: 'feature',
       value: 'auto')
option('libpulse',
       description: 'Enable code that depends on libpulse',
       type: 'feature',
       value: 'auto')
option('roc',
       description: 'Enable code that depends on roc toolkit',
       type: 'feature',
       value: 'auto')
option('avahi',
       description: 'Enable code that depends on avahi',
       type: 'feature',
       value: 'auto')
option('echo-cancel-webrtc',
       description : 'Enable WebRTC-based echo canceller',
       type : 'feature',
       value : 'auto')
option('libusb',
       description: 'Enable code that depends on libusb',
       type: 'feature',
       value: 'auto')
option('session-managers',
       description : 'Session managers to build (can be [] for none or an absolute path)',
       type : 'array',
       value : ['wireplumber'])
option('raop',
       description: 'Enable module for Remote Audio Output Protocol',
       type: 'feature',
       value: 'auto')
option('lv2',
       description: 'Enable loading of LV2 plugins',
       type: 'feature',
       value: 'auto')
option('x11',
       description: 'Enable code that depends on X11',
       type: 'feature',
       value: 'auto')
option('x11-xfixes',
       description: 'Enable code that depends on XFixes',
       type: 'feature',
       value: 'auto')
option('libcanberra',
       description: 'Enable code that depends on libcanberra',
       type: 'feature',
       value: 'auto')
option('legacy-rtkit',
       description: 'Build legacy rtkit module',
       type: 'boolean',
       value: 'true')
option('avb',
       description: 'Enable AVB code',
       type: 'feature',
       value: 'auto')
option('flatpak',
       description: 'Enable Flatpak support',
       type: 'feature',
       value: 'enabled')
option('readline',
       description: 'Enable code that depends on libreadline',
       type: 'feature',
       value: 'auto')
option('gsettings',
       description: 'Enable code that depends on gsettings',
       type: 'feature',
       value: 'auto')
option('compress-offload',
       description: 'Enable ALSA Compress-Offload support',
       type: 'feature',
       value: 'auto')
option('pam-defaults-install',
       description: 'Install limits.d file modifying defaults for all PAM users. Only for old kernels/systemd!',
       type: 'boolean',
       value: 'false')
option('pam-memlock-default',
       description : 'The default memlock value for any PAM user in kilobytes. Multiples of 64 recommended.',
       type : 'integer',
       min: 640,
       value: 8192)
option('rlimits-install',
       description: 'Install PAM limits.d file. Voids all following rlimits-* options, if false',
       type: 'boolean',
       value: 'true')
option('rlimits-match',
       description : 'PAM match rule for the generated limits.d file. @<name> denotes matching a group.',
       type : 'string',
       value: '@pipewire')
option('rlimits-rtprio',
       description : 'RR and FIFO scheduler priority permitted for realtime threads of the matching user(s)',
       type : 'integer',
       min: 11,
       max: 99,
       value: 95)
option('rlimits-memlock',
       description : 'kB of memory each process of the user matched by the rule can lock. Can be unlimited .',
       type : 'string',
       value: '4194304')
option('rlimits-nice',
       description : 'Not niceness permitted for non-realtime threads of the matching user(s)',
       type : 'integer',
       min: -20,
       max: -1,
       value: -19)
option('opus',
       description: 'Enable code that depends on opus',
       type: 'feature',
       value: 'auto')
option('libffado',
       description: 'Enable code that depends on libffado',
       type: 'feature',
       value: 'auto')

=== debian/changelog ===
pipewire (0.3.72-2) unstable; urgency=medium

  * Upload to unstable
  * Improve description of libspa-0.2-libcamera

 -- Dylan Aïssi <daissi@debian.org>  Mon, 03 Jul 2023 09:59:54 +0200

pipewire (0.3.72-1) experimental; urgency=medium

  * New upstream release
  * Rename pipewire-libcamera to libspa-0.2-libcamera (Closes: #1030953)
      pipewire-libcamera is now a transitional package.
  * Improve packages description by mentioning audio functions
      (Closes: #1039018)
  * Drop patch included in upstream release:
      - ce71b37b: fixes a bug with buffer_size updates for JACK apps
  * Add libffado-dev in Build-Deps
  * Install new modules ffado-driver, netjack2-driver and netjack2-manager
      in libpipewire-0.3-modules.
  * Update symbols file

 -- Dylan Aïssi <daissi@debian.org>  Mon, 26 Jun 2023 14:44:38 +0200

=== debian/control ===
Source: pipewire
Section: libs
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@alioth-lists.debian.net>
Uploaders: Jeremy Bicha <jbicha@debian.org>,
           Dylan Aïssi <daissi@debian.org>
Build-Depends: debhelper-compat (= 13),
               doxygen <!nodoc>,
               graphviz <!nodoc>,
               libasound2-dev,
               libavahi-client-dev,
               libbluetooth-dev,
               libcamera-dev [!m68k],
               libdbus-1-dev,
               libffado-dev,
               libfreeaptx-dev,
               libglib2.0-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libjack-jackd2-dev,
               libcanberra-dev,
               liblc3-dev,
               libldacbt-abr-dev [!s390x !hppa !m68k !powerpc !ppc64 !sparc64],
               libldacbt-enc-dev [!s390x !hppa !m68k !powerpc !ppc64 !sparc64],
               liblilv-dev,
               libmysofa-dev,
               libncurses-dev,
               libopus-dev,
               libpulse-dev,
               libreadline-dev,
               libsbc-dev,
               libsdl2-dev,
               libsndfile1-dev,
               libssl-dev,
               libsystemd-dev [linux-any],
               libudev-dev [linux-any],
               libusb-1.0-0-dev,
               libv4l-dev,
               libwebrtc-audio-processing-dev,
               libxfixes-dev (>= 1:6.0.0),
               meson (>= 0.59.0),
               modemmanager-dev,
               pkg-config,
               python3-docutils,
               systemd [linux-any]
Build-Conflicts: libfdk-aac-dev
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/utopia-team/pipewire
Vcs-Git: https://salsa.debian.org/utopia-team/pipewire.git
Homepage: https://pipewire.org/
Rules-Requires-Root: no

Package: libpipewire-0.3-0
Architecture: linux-any
Multi-Arch: same
Depends: libspa-0.2-modules (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libpipewire-0.3-common
Suggests: pipewire (= ${binary:Version})
Description: libraries for the PipeWire multimedia server
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of audio and video (such as from a capture devices
    or application provided streams) and multiplexing this with clients.
  - Accessing sources of audio and video for consumption.
  - Generating graphs for audio and video processing.

Package: libpipewire-0.3-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: libraries for the PipeWire multimedia server - common files
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of audio and video (such as from a capture devices
    or application provided streams) and multiplexing this with clients.
  - Accessing sources of audio and video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package is needed for the runtime libraries to display messages in
 languages other than English.

Package: libpipewire-0.3-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: libpipewire-0.3-0 (= ${binary:Version}),
         libspa-0.2-dev (= ${binary:Version}),
         ${misc:Depends}
Suggests: pipewire-doc
Description: libraries for the PipeWire multimedia server - development
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of audio and video (such as from a capture devices
    or application provided streams) and multiplexing this with clients.
  - Accessing sources of audio and video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains the development files.

Package: libpipewire-0.3-modules
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: pipewire (<< 0.3.5)
Replaces: pipewire (<< 0.3.5)
Description: libraries for the PipeWire multimedia server - modules
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of audio and video (such as from a capture devices
    or application provided streams) and multiplexing this with clients.
  - Accessing sources of audio and video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains modules used by the PipeWire server and by clients,
 and should not normally be depended on directly. PipeWire clients should
 depend on the pipewire package instead.

Package: libpipewire-0.3-modules-x11
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libpipewire-0.3-modules (<< 0.3.63-3~)
Replaces: libpipewire-0.3-modules (<< 0.3.63-3~)
Description: libraries for the PipeWire multimedia server - X11 modules
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of audio and video (such as from a capture devices
    or application provided streams) and multiplexing this with clients.
  - Accessing sources of audio and video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains X11 modules.

Package: libspa-0.2-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends}
Suggests: pipewire-doc
Description: libraries for the PipeWire multimedia server Simple Plugin API - development
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of audio and video (such as from a capture devices
    or application provided streams) and multiplexing this with clients.
  - Accessing sources of audio and video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains the development files for the Simple Plugin API.

Package: libspa-0.2-modules
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: pipewire (<< 0.3.5)
Replaces: pipewire (<< 0.3.5)
Description: libraries for the PipeWire multimedia server Simple Plugin API - modules
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of audio and video (such as from a capture devices
    or application provided streams) and multiplexing this with clients.
  - Accessing sources of audio and video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains core support modules used in the Simple Plugin API,
 together with test and utility modules that do not introduce additional
 dependencies. It should not normally be depended on directly: PipeWire
 clients should depend on the pipewire package instead.

Package: pipewire-doc
Section: doc
Build-Profiles: <!nodoc>
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libpipewire-0.2-doc (<< 0.3.1)
Replaces: libpipewire-0.2-doc (<< 0.3.1)
Description: libraries for the PipeWire multimedia server - documentation
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of audio and video (such as from a capture devices
    or application provided streams) and multiplexing this with clients.
  - Accessing sources of audio and video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains the API reference.

Package: pipewire
Section: video
Architecture: linux-any
Multi-Arch: same
Depends: libpipewire-0.3-modules (= ${binary:Version}),
         pipewire-bin (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         adduser
Description: audio and video processing engine multimedia server
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of audio and video (such as from a capture devices
    or application provided streams) and multiplexing this with clients.
  - Accessing sources of audio and video for consumption.
  - Generating graphs for audio and video processing.
 .
 This metapackage makes PipeWire available for programs of the same
 architecture, and provides the systemd user service necessary to run
 pipewire on-demand.

Package: pipewire-bin
Section: video
Architecture: linux-any
Multi-Arch: foreign
Depends: libpipewire-0.3-modules (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: dbus-user-session,
            wireplumber | pipewire-media-session,
            rtkit
Breaks: pipewire (<< 0.3.5)
Replaces: pipewire (<< 0.3.5)
Description: PipeWire multimedia server - programs
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of audio and video (such as from a capture devices
    or application provided streams) and multiplexing this with clients.
  - Accessing sources of audio and video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains the server and command-line utilities, and should
 not normally be depended on directly. PipeWire clients should depend on
 the pipewire package instead.

Package: pipewire-pulse
Section: sound
Architecture: linux-any
Multi-Arch: foreign
Replaces: pipewire-bin (<< 0.3.27-2)
Breaks: pipewire-bin (<< 0.3.27-2)
Depends: pipewire (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: wireplumber | pipewire-media-session-pulseaudio
Suggests: libspa-0.2-bluetooth,
          pulseaudio-utils
Description: PipeWire PulseAudio daemon
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of audio and video (such as from a capture devices
    or application provided streams) and multiplexing this with clients.
  - Accessing sources of audio and video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains the PulseAudio replacement daemon.

Package: pipewire-alsa
Section: sound
Architecture: linux-any
Multi-Arch: same
Replaces: pipewire-audio-client-libraries (<< 0.3.54-1~)
Breaks: pipewire-audio-client-libraries (<< 0.3.54-1~)
Conflicts: pulseaudio
Depends: pipewire (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: PipeWire ALSA plugin
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of audio and video (such as from a capture devices
    or application provided streams) and multiplexing this with clients.
  - Accessing sources of audio and video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains the ALSA plugin.

Package: pipewire-jack
Section: sound
Architecture: linux-any
Multi-Arch: same
Replaces: pipewire-audio-client-libraries (<< 0.3.54-1~)
Breaks: pipewire-audio-client-libraries (<< 0.3.54-1~)
Depends: pipewire (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: PipeWire JACK plugin
 PipeWire is a server and user space API to deal with multimedia
 pipelines. This includes:
 .
  - Making available sources of audio and video (such as from a capture devices
    or application provided streams) and multiplexing this with clients.
  - Accessing sources of audio and video for consumption.
  - Generating graphs for audio and video processing.
 .
 This package contains the JACK plugin.

Package: pipewire-v4l2
Section: video
Architecture: linux-any
Multi-Arch: same
Replaces: pipewire-bin (<< 0.3.54-1),
          libpipewire-0.3-modules (<< 0.3.54-1)
Breaks: pipewire-bin (<< 0.3.54-1),
        libpipewire-0.3-modules (<< 0.3.54-1)
Depends: pipewire (= ${binary:Version}),
         ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs

%:
	dh $@

ifneq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
DOCS=disabled
else
DOCS=enabled
endif

ifneq (,$(filter s390x hppa m68k powerpc ppc64 sparc64,$(DEB_HOST_ARCH)))
BLUEZ5_CODEC_LDAC=disabled
else
BLUEZ5_CODEC_LDAC=enabled
endif

ifneq (,$(filter m68k,$(DEB_HOST_ARCH)))
LIBCAMERA=disabled
else
LIBCAMERA=enabled
endif

# lilv and some of its dependencies are in universe
ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
LV2=disabled
LIBMYSOFA=disabled
else
LV2=enabled
LIBMYSOFA=enabled
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		-Daudiotestsrc=enabled \
		-Dauto_features=enabled \
		-Davahi=enabled \
		-Dbluez5-backend-native-mm=enabled \
		-Dbluez5-codec-aac=disabled \
		-Dbluez5-codec-aptx=enabled \
		-Dbluez5-codec-lc3=enabled \
		-Dbluez5-codec-lc3plus=disabled \
		-Dbluez5-codec-ldac=$(BLUEZ5_CODEC_LDAC) \
		-Dbluez5-codec-opus=enabled \
		-Dlibcamera=$(LIBCAMERA) \
		-Dlibmysofa=$(LIBMYSOFA) \
		-Ddocs=$(DOCS) \
		-Dffmpeg=disabled \
		-Dinstalled_tests=enabled \
		-Dlv2=$(LV2) \
		-Dman=enabled \
		-Droc=disabled \
		-Dsession-managers= \
		-Dtest=enabled \
		-Dvideotestsrc=enabled \
		-Dvulkan=disabled \
		$(NULL)
	install -d debian/ld.so.conf.d
	echo "/usr/lib/$(DEB_HOST_MULTIARCH)/pipewire-0.3/jack/" > "debian/ld.so.conf.d/pipewire-jack-$(DEB_HOST_MULTIARCH).conf"

test_timeout_multiplier = 1

ifneq ($(filter arm hppa ia64 m68k riscv64 sh4 sparc%,$(DEB_HOST_ARCH_CPU)),)
test_timeout_multiplier = 5
endif

ifneq ($(filter mips%,$(DEB_HOST_ARCH_CPU)),)
test_timeout_multiplier = 10
endif

override_dh_auto_test:
	dh_auto_test \
		-- \
		--timeout-multiplier $(test_timeout_multiplier) \
		$(NULL)

override_dh_missing:
	dh_missing --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs \
		--exclude=/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-1.0 \
		--exclude=/usr/lib/$(DEB_HOST_MULTIARCH)/pipewire-0.3 \
		--exclude=/usr/lib/$(DEB_HOST_MULTIARCH)/spa-0.2 \
		-- -c4

override_dh_shlibdeps-arch:
	dh_shlibdeps \
		-ppipewire-jack \
		-l/usr/lib/$(DEB_HOST_MULTIARCH)/pipewire-0.3 \
		-- \
		-Ldebian/pipewire-jack.shlibs.local \
		$(NULL)
	dh_shlibdeps \
		--remaining-packages \
		-l/usr/lib/$(DEB_HOST_MULTIARCH)/pipewire-0.3 \
		$(NULL)

## pipewire 0.3.73

=== debian/changelog ===
pipewire (0.3.73-1.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Fri, 07 Jul 2023 18:38:47 +0300

pipewire (0.3.73-1) unstable; urgency=medium

  [ Dylan Aïssi ]
  * New upstream release
  * Install new modules filter-chain-lv2 and filter-chain-sofa
      in libpipewire-0.3-modules.
  * Update symbols file, 1 symbol is dropped: pw_proxy_get_core@Base 0.3.1
      This function is not declared in any header files, nor used by anything.
      See commit 54a9b30e.

  [ Sebastien Bacher ]
  * Don't use libffafo in the Ubuntu build for now since the package
      is in universe

 -- Dylan Aïssi <daissi@debian.org>  Thu, 06 Jul 2023 14:50:07 +0200

=== debian/rules ===
--- 
+++ 
@@ -28,9 +28,11 @@
 ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
 LV2=disabled
 LIBMYSOFA=disabled
+LIBFFADO=disabled
 else
 LV2=enabled
 LIBMYSOFA=enabled
+LIBFFADO=enabled
 endif
 
 override_dh_auto_configure:
@@ -46,6 +48,7 @@
 		-Dbluez5-codec-ldac=$(BLUEZ5_CODEC_LDAC) \
 		-Dbluez5-codec-opus=enabled \
 		-Dlibcamera=$(LIBCAMERA) \
+		-Dlibffado=$(LIBFFADO) \
 		-Dlibmysofa=$(LIBMYSOFA) \
 		-Ddocs=$(DOCS) \
 		-Dffmpeg=disabled \
@@ -78,7 +81,7 @@
 		$(NULL)
 
 override_dh_missing:
-	dh_missing --fail-missing
+	dh_missing --list-missing
 
 override_dh_makeshlibs:
 	dh_makeshlibs \

## pipewire 0.3.74

=== debian/changelog ===
pipewire (0.3.74-1.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Thu, 13 Jul 2023 17:15:35 +0300

pipewire (0.3.74-1) unstable; urgency=medium

  * New upstream release
  * Update symbols file

 -- Dylan Aïssi <daissi@debian.org>  Wed, 12 Jul 2023 12:41:04 +0200

## pipewire 0.3.76

=== debian/changelog ===
pipewire (0.3.76-1.0nosystemd1) nosystemd; urgency=medium

  * Nosystemd/elogind 

 -- anticapitalista <antix@operamail.com>  Fri, 28 Jul 2023 18:07:29 +0300

pipewire (0.3.76-1) unstable; urgency=low

  [ Dylan Aïssi ]
  * New upstream release
  * Update symbols file, 2 symbols are dropped in 0.3.75:
      - pw_context_driver_add_listener@Base 0.3.72
      - pw_context_driver_remove_listener@Base 0.3.72
      See commit cfd3bcd6.
  * Install new modules vban-recv and vban-send
      in libpipewire-0.3-modules.

  [ Evangelos Ribeiro Tzaras ]
  * pipewire-doc: Register documentation with doc-base

 -- Dylan Aïssi <daissi@debian.org>  Fri, 28 Jul 2023 11:36:53 +0200

## pipewire 0.3.77

=== meson_options.txt ===
--- 
+++ 
@@ -127,7 +127,7 @@
 option('bluez5-codec-lc3',
         description: 'Enable LC3 open source codec implementation',
         type: 'feature',
-        value: 'disabled')
+        value: 'auto')
 option('control',
        description: 'Enable control spa plugin integration',
        type: 'feature',

=== debian/changelog ===
pipewire (0.3.77-1.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind 

 -- anticapitalista <antix@operamail.com>  Fri, 04 Aug 2023 20:40:08 +0300

pipewire (0.3.77-1) unstable; urgency=low

  * New upstream release
      - x11-bell: protect libcanberra calls with a mutex (Closes: #1025427)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 04 Aug 2023 12:10:13 +0200

=== debian/control ===
--- 
+++ 
@@ -32,7 +32,6 @@
                libsdl2-dev,
                libsndfile1-dev,
                libssl-dev,
-               libsystemd-dev [linux-any],
                libudev-dev [linux-any],
                libusb-1.0-0-dev,
                libv4l-dev,
@@ -41,8 +40,7 @@
                meson (>= 0.59.0),
                modemmanager-dev,
                pkg-config,
-               python3-docutils,
-               systemd [linux-any]
+               python3-docutils
 Build-Conflicts: libfdk-aac-dev
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/utopia-team/pipewire
@@ -315,3 +313,5 @@
         libpipewire-0.3-modules (<< 0.3.54-1)
 Depends: pipewire (= ${binary:Version}),
          ${misc:Depends},
+         ${shlibs:Depends}
+Description: PipeWire V4L2 plugin

## pipewire 0.3.78

=== debian/changelog ===
pipewire (0.3.78-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 23 Aug 2023 18:07:07 -0700

pipewire (0.3.78-1) unstable; urgency=medium

  * New upstream release
  * Drop pipewire-media-session from Recommends fields
      since it is no longer part of Debian, see #1043405

 -- Dylan Aïssi <daissi@debian.org>  Tue, 22 Aug 2023 13:51:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: pipewire
 Section: libs
 Priority: optional
-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@alioth-lists.debian.net>
-Uploaders: Jeremy Bicha <jbicha@debian.org>,
-           Dylan Aïssi <daissi@debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@alioth-lists.debian.net>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Dylan Aïssi <daissi@debian.org>
 Build-Depends: debhelper-compat (= 13),
                doxygen <!nodoc>,
                graphviz <!nodoc>,
@@ -11,6 +11,7 @@
                libavahi-client-dev,
                libbluetooth-dev,
                libcamera-dev [!m68k],
+               libcanberra-dev,
                libdbus-1-dev,
                libffado-dev,
                libfreeaptx-dev,
@@ -18,7 +19,6 @@
                libgstreamer-plugins-base1.0-dev,
                libgstreamer1.0-dev,
                libjack-jackd2-dev,
-               libcanberra-dev,
                liblc3-dev,
                libldacbt-abr-dev [!s390x !hppa !m68k !powerpc !ppc64 !sparc64],
                libldacbt-enc-dev [!s390x !hppa !m68k !powerpc !ppc64 !sparc64],
@@ -32,6 +32,7 @@
                libsdl2-dev,
                libsndfile1-dev,
                libssl-dev,
+               libsystemd-dev [linux-any],
                libudev-dev [linux-any],
                libusb-1.0-0-dev,
                libv4l-dev,
@@ -40,7 +41,8 @@
                meson (>= 0.59.0),
                modemmanager-dev,
                pkg-config,
-               python3-docutils
+               python3-docutils,
+               systemd [linux-any]
 Build-Conflicts: libfdk-aac-dev
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/utopia-team/pipewire
@@ -53,8 +55,8 @@
 Multi-Arch: same
 Depends: libspa-0.2-modules (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
-Recommends: libpipewire-0.3-common
+         ${shlibs:Depends},
+         libpipewire-0.3-common
 Suggests: pipewire (= ${binary:Version})
 Description: libraries for the PipeWire multimedia server
  PipeWire is a server and user space API to deal with multimedia
@@ -196,11 +198,11 @@
 Section: video
 Architecture: linux-any
 Multi-Arch: same
-Depends: libpipewire-0.3-modules (= ${binary:Version}),
+Depends: adduser,
+         libpipewire-0.3-modules (= ${binary:Version}),
          pipewire-bin (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends},
-         adduser
+         ${shlibs:Depends}
 Description: audio and video processing engine multimedia server
  PipeWire is a server and user space API to deal with multimedia
  pipelines. This includes:
@@ -221,9 +223,7 @@
 Depends: libpipewire-0.3-modules (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: dbus-user-session,
-            wireplumber | pipewire-media-session,
-            rtkit
+Recommends: dbus-user-session, rtkit, wireplumber
 Breaks: pipewire (<< 0.3.5)
 Replaces: pipewire (<< 0.3.5)
 Description: PipeWire multimedia server - programs
@@ -245,12 +245,9 @@
 Multi-Arch: foreign
 Replaces: pipewire-bin (<< 0.3.27-2)
 Breaks: pipewire-bin (<< 0.3.27-2)
-Depends: pipewire (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Recommends: wireplumber | pipewire-media-session-pulseaudio
-Suggests: libspa-0.2-bluetooth,
-          pulseaudio-utils
+Depends: pipewire (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Recommends: wireplumber
+Suggests: libspa-0.2-bluetooth, pulseaudio-utils
 Description: PipeWire PulseAudio daemon
  PipeWire is a server and user space API to deal with multimedia
  pipelines. This includes:
@@ -269,9 +266,7 @@
 Replaces: pipewire-audio-client-libraries (<< 0.3.54-1~)
 Breaks: pipewire-audio-client-libraries (<< 0.3.54-1~)
 Conflicts: pulseaudio
-Depends: pipewire (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: pipewire (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: PipeWire ALSA plugin
  PipeWire is a server and user space API to deal with multimedia
  pipelines. This includes:
@@ -289,9 +284,7 @@
 Multi-Arch: same
 Replaces: pipewire-audio-client-libraries (<< 0.3.54-1~)
 Breaks: pipewire-audio-client-libraries (<< 0.3.54-1~)
-Depends: pipewire (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: pipewire (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: PipeWire JACK plugin
  PipeWire is a server and user space API to deal with multimedia
  pipelines. This includes:
@@ -307,11 +300,8 @@
 Section: video
 Architecture: linux-any
 Multi-Arch: same
-Replaces: pipewire-bin (<< 0.3.54-1),
-          libpipewire-0.3-modules (<< 0.3.54-1)
-Breaks: pipewire-bin (<< 0.3.54-1),
-        libpipewire-0.3-modules (<< 0.3.54-1)
-Depends: pipewire (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Replaces: libpipewire-0.3-modules (<< 0.3.54-1), pipewire-bin (<< 0.3.54-1)
+Breaks: libpipewire-0.3-modules (<< 0.3.54-1), pipewire-bin (<< 0.3.54-1)
+Depends: pipewire (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: PipeWire V4L2 plugin
+ PipeWire is a server and user space API to deal with multimedia

=== debian/rules ===
--- 
+++ 
@@ -81,7 +81,7 @@
 		$(NULL)
 
 override_dh_missing:
-	dh_missing --list-missing
+	dh_missing --fail-missing
 
 override_dh_makeshlibs:
 	dh_makeshlibs \
@@ -101,3 +101,7 @@
 		--remaining-packages \
 		-l/usr/lib/$(DEB_HOST_MULTIARCH)/pipewire-0.3 \
 		$(NULL)
+
+# No dbgsym packages:
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## pipewire 0.3.79

=== debian/changelog ===
pipewire (0.3.79-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * For MX 21, disable xfixes in rules since we don't have the req'd proto.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 02 Sep 2023 16:48:20 -0700

pipewire (0.3.79-1) unstable; urgency=medium

  * New upstream release
      - Make it easier to add a custom profile in ACP (Closes: #1050293)

 -- Dylan Aïssi <daissi@debian.org>  Tue, 29 Aug 2023 11:09:28 +0200

=== debian/control ===
--- 
+++ 
@@ -37,7 +37,7 @@
                libusb-1.0-0-dev,
                libv4l-dev,
                libwebrtc-audio-processing-dev,
-               libxfixes-dev (>= 1:6.0.0),
+               libxfixes-dev,
                meson (>= 0.59.0),
                modemmanager-dev,
                pkg-config,
@@ -55,8 +55,8 @@
 Multi-Arch: same
 Depends: libspa-0.2-modules (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends},
-         libpipewire-0.3-common
+         ${shlibs:Depends}
+Recommends: libpipewire-0.3-common
 Suggests: pipewire (= ${binary:Version})
 Description: libraries for the PipeWire multimedia server
  PipeWire is a server and user space API to deal with multimedia
@@ -305,3 +305,4 @@
 Depends: pipewire (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: PipeWire V4L2 plugin
  PipeWire is a server and user space API to deal with multimedia
+ pipelines. This includes:

=== debian/rules ===
--- 
+++ 
@@ -60,6 +60,7 @@
 		-Dtest=enabled \
 		-Dvideotestsrc=enabled \
 		-Dvulkan=disabled \
+		-Dx11-xfixes=disabled \
 		$(NULL)
 	install -d debian/ld.so.conf.d
 	echo "/usr/lib/$(DEB_HOST_MULTIARCH)/pipewire-0.3/jack/" > "debian/ld.so.conf.d/pipewire-jack-$(DEB_HOST_MULTIARCH).conf"

## pipewire 0.3.80

=== debian/changelog ===
pipewire (0.3.80-2.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind
  * /usr/share/pipewire/pipewire.conf edits - thanks abc-nix 

 -- anticapitalista <antix@operamail.com>  Mon, 18 Sep 2023 23:28:20 +0300

pipewire (0.3.80-2) unstable; urgency=medium

  * Cherry-pick upstream recommended patch:
      - 1f1c308c: aec: support both webrtc versions
  * Re-enable webrtc-audio-processing in Build-Deps

 -- Dylan Aïssi <daissi@debian.org>  Fri, 15 Sep 2023 14:37:24 +0200

pipewire (0.3.80-1) experimental; urgency=medium

  * New upstream release
  * Drop patches included in upstream release
  * Disable webrtc-audio-processing in Build-Deps:
      pipewire now requires webrtc-audio-processing >= 1.2 which is not yet
      available in Debian. Therefore the echo-canceller module is not built
      anymore, and because this module is used and upstream advised against
      disabling it, new versions of pipewire will only target experimental until
      we can re-enable it.

 -- Dylan Aïssi <daissi@debian.org>  Thu, 14 Sep 2023 15:59:17 +0200

pipewire (0.3.79-2) unstable; urgency=medium

  [ Boud Roukema ]
  * pipewire.README.Debian: Include 3 ways of restarting pipewire-related
      services (Closes: #1050498)

  [ Dylan Aïssi ]
  * Cherry-pick upstream patches to fix build on alpha (Closes: #1051128)
  * Add noinsttest build profile (Closes: #1051191)
  * Use a wildcard in d/libpipewire-0.3-modules.install to facilitate
      downstream packaging (Closes: #1040330)

 -- Dylan Aïssi <daissi@debian.org>  Mon, 11 Sep 2023 12:12:58 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: pipewire
 Section: libs
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@alioth-lists.debian.net>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Dylan Aïssi <daissi@debian.org>
+Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@alioth-lists.debian.net>
+Uploaders: Jeremy Bicha <jbicha@debian.org>,
+           Dylan Aïssi <daissi@debian.org>
 Build-Depends: debhelper-compat (= 13),
                doxygen <!nodoc>,
                graphviz <!nodoc>,
@@ -11,7 +11,6 @@
                libavahi-client-dev,
                libbluetooth-dev,
                libcamera-dev [!m68k],
-               libcanberra-dev,
                libdbus-1-dev,
                libffado-dev,
                libfreeaptx-dev,
@@ -19,6 +18,7 @@
                libgstreamer-plugins-base1.0-dev,
                libgstreamer1.0-dev,
                libjack-jackd2-dev,
+               libcanberra-dev,
                liblc3-dev,
                libldacbt-abr-dev [!s390x !hppa !m68k !powerpc !ppc64 !sparc64],
                libldacbt-enc-dev [!s390x !hppa !m68k !powerpc !ppc64 !sparc64],
@@ -29,20 +29,18 @@
                libpulse-dev,
                libreadline-dev,
                libsbc-dev,
-               libsdl2-dev,
+               libsdl2-dev <!noinsttest>,
                libsndfile1-dev,
                libssl-dev,
-               libsystemd-dev [linux-any],
                libudev-dev [linux-any],
                libusb-1.0-0-dev,
                libv4l-dev,
                libwebrtc-audio-processing-dev,
-               libxfixes-dev,
+               libxfixes-dev (>= 1:6.0.0),
                meson (>= 0.59.0),
                modemmanager-dev,
                pkg-config,
-               python3-docutils,
-               systemd [linux-any]
+               python3-docutils
 Build-Conflicts: libfdk-aac-dev
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/utopia-team/pipewire
@@ -198,11 +196,11 @@
 Section: video
 Architecture: linux-any
 Multi-Arch: same
-Depends: adduser,
-         libpipewire-0.3-modules (= ${binary:Version}),
+Depends: libpipewire-0.3-modules (= ${binary:Version}),
          pipewire-bin (= ${binary:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
+         adduser
 Description: audio and video processing engine multimedia server
  PipeWire is a server and user space API to deal with multimedia
  pipelines. This includes:
@@ -223,7 +221,9 @@
 Depends: libpipewire-0.3-modules (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: dbus-user-session, rtkit, wireplumber
+Recommends: dbus-user-session,
+            wireplumber,
+            rtkit
 Breaks: pipewire (<< 0.3.5)
 Replaces: pipewire (<< 0.3.5)
 Description: PipeWire multimedia server - programs
@@ -245,9 +245,12 @@
 Multi-Arch: foreign
 Replaces: pipewire-bin (<< 0.3.27-2)
 Breaks: pipewire-bin (<< 0.3.27-2)
-Depends: pipewire (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: pipewire (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Recommends: wireplumber
-Suggests: libspa-0.2-bluetooth, pulseaudio-utils
+Suggests: libspa-0.2-bluetooth,
+          pulseaudio-utils
 Description: PipeWire PulseAudio daemon
  PipeWire is a server and user space API to deal with multimedia
  pipelines. This includes:
@@ -266,7 +269,9 @@
 Replaces: pipewire-audio-client-libraries (<< 0.3.54-1~)
 Breaks: pipewire-audio-client-libraries (<< 0.3.54-1~)
 Conflicts: pulseaudio
-Depends: pipewire (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: pipewire (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: PipeWire ALSA plugin
  PipeWire is a server and user space API to deal with multimedia
  pipelines. This includes:
@@ -284,7 +289,9 @@
 Multi-Arch: same
 Replaces: pipewire-audio-client-libraries (<< 0.3.54-1~)
 Breaks: pipewire-audio-client-libraries (<< 0.3.54-1~)
-Depends: pipewire (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: pipewire (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: PipeWire JACK plugin
  PipeWire is a server and user space API to deal with multimedia
  pipelines. This includes:
@@ -300,9 +307,12 @@
 Section: video
 Architecture: linux-any
 Multi-Arch: same
-Replaces: libpipewire-0.3-modules (<< 0.3.54-1), pipewire-bin (<< 0.3.54-1)
-Breaks: libpipewire-0.3-modules (<< 0.3.54-1), pipewire-bin (<< 0.3.54-1)
-Depends: pipewire (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Replaces: pipewire-bin (<< 0.3.54-1),
+          libpipewire-0.3-modules (<< 0.3.54-1)
+Breaks: pipewire-bin (<< 0.3.54-1),
+        libpipewire-0.3-modules (<< 0.3.54-1)
+Depends: pipewire (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: PipeWire V4L2 plugin
  PipeWire is a server and user space API to deal with multimedia
- pipelines. This includes:

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,16 @@
 DOCS=disabled
 else
 DOCS=enabled
+endif
+
+built_binaries := $(shell dh_listpackages)
+
+ifneq ($(filter %-tests,$(built_binaries)),)
+INSTTEST=enabled
+SDL2=enabled
+else
+INSTTEST=disabled
+SDL2=disabled
 endif
 
 ifneq (,$(filter s390x hppa m68k powerpc ppc64 sparc64,$(DEB_HOST_ARCH)))
@@ -52,15 +62,15 @@
 		-Dlibmysofa=$(LIBMYSOFA) \
 		-Ddocs=$(DOCS) \
 		-Dffmpeg=disabled \
-		-Dinstalled_tests=enabled \
+		-Dinstalled_tests=$(INSTTEST) \
 		-Dlv2=$(LV2) \
 		-Dman=enabled \
 		-Droc=disabled \
+		-Dsdl2=$(SDL2) \
 		-Dsession-managers= \
 		-Dtest=enabled \
 		-Dvideotestsrc=enabled \
 		-Dvulkan=disabled \
-		-Dx11-xfixes=disabled \
 		$(NULL)
 	install -d debian/ld.so.conf.d
 	echo "/usr/lib/$(DEB_HOST_MULTIARCH)/pipewire-0.3/jack/" > "debian/ld.so.conf.d/pipewire-jack-$(DEB_HOST_MULTIARCH).conf"
@@ -82,7 +92,7 @@
 		$(NULL)
 
 override_dh_missing:
-	dh_missing --fail-missing
+	dh_missing --list-missing
 
 override_dh_makeshlibs:
 	dh_makeshlibs \
@@ -102,7 +112,3 @@
 		--remaining-packages \
 		-l/usr/lib/$(DEB_HOST_MULTIARCH)/pipewire-0.3 \
 		$(NULL)
-
-# No dbgsym packages:
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

## pipewire 0.3.81

=== debian/changelog ===
pipewire (0.3.81-0test1) experimental; urgency=medium

  * New upstream release.
    https://gitlab.freedesktop.org/pipewire/pipewire/-/releases
    - This is the first 1.0 release candidate that is API and ABI compatible with previous 0.3.x releases.

 -- Torsten Wohlfarth <towo@siduction.org>  Fri, 06 Oct 2023 14:38:32 +0200

=== debian/control ===
--- 
+++ 
@@ -32,6 +32,7 @@
                libsdl2-dev <!noinsttest>,
                libsndfile1-dev,
                libssl-dev,
+               libsystemd-dev [linux-any],
                libudev-dev [linux-any],
                libusb-1.0-0-dev,
                libv4l-dev,
@@ -40,7 +41,8 @@
                meson (>= 0.59.0),
                modemmanager-dev,
                pkg-config,
-               python3-docutils
+               python3-docutils,
+               systemd [linux-any]
 Build-Conflicts: libfdk-aac-dev
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/utopia-team/pipewire
@@ -314,5 +316,3 @@
 Depends: pipewire (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Description: PipeWire V4L2 plugin
- PipeWire is a server and user space API to deal with multimedia

=== debian/rules ===
--- 
+++ 
@@ -92,7 +92,7 @@
 		$(NULL)
 
 override_dh_missing:
-	dh_missing --list-missing
+	dh_missing --fail-missing
 
 override_dh_makeshlibs:
 	dh_makeshlibs \
